summaryrefslogtreecommitdiff
path: root/update-gdk-pixbuf-loaders-3.0
diff options
context:
space:
mode:
authorMatthias Clasen <mclasen@fedoraproject.org>2010-05-26 03:26:26 +0000
committerMatthias Clasen <mclasen@fedoraproject.org>2010-05-26 03:26:26 +0000
commit7442cc31a2bab957923f68cc2b259563631e5190 (patch)
tree5bebd0f848245653d65d3f59182a67d7add0b757 /update-gdk-pixbuf-loaders-3.0
parentSetup of module gtk3 (diff)
downloadgtk3-classic-build-gtk3-7442cc31a2bab957923f68cc2b259563631e5190.tar.gz
gtk3-classic-build-gtk3-7442cc31a2bab957923f68cc2b259563631e5190.tar.bz2
gtk3-classic-build-gtk3-7442cc31a2bab957923f68cc2b259563631e5190.zip
initial import
Diffstat (limited to 'update-gdk-pixbuf-loaders-3.0')
-rwxr-xr-xupdate-gdk-pixbuf-loaders-3.048
1 files changed, 48 insertions, 0 deletions
diff --git a/update-gdk-pixbuf-loaders-3.0 b/update-gdk-pixbuf-loaders-3.0
new file mode 100755
index 0000000..68f3017
--- /dev/null
+++ b/update-gdk-pixbuf-loaders-3.0
@@ -0,0 +1,48 @@
+#! /bin/sh
+
+if test $# != 1; then
+ echo usage: update-gdk-pixbuf-loaders-3.0 host_triplet 1>&2
+ exit 1
+fi
+
+umask 022
+# Deriving /etc/gtk-3.0/$host location
+#
+# autoconf changes linux to linux-gnu
+case "$1" in
+ *linux) host="$1-gnu"
+ ;;
+ *) host=$1
+ ;;
+esac
+
+# autoconf uses powerpc not ppc
+host=`echo $host | sed "s/^ppc/powerpc/"`
+# autoconf uses ibm-linux not redhat-linux (s390x)
+host=`echo $host | sed "s/^s390\(x\)*-redhat/s390\1-ibm/"`
+
+# We have had problems in the past with build systems
+# changing host from i386 to i686 and appending/dropping
+# the -gnu suffix, so try to match up the $host we got
+# with whats actually there.
+if [ ! -d /etc/gtk-3.0/$host ]; then
+ case "$host" in
+ i?86*)
+ for d in $(ls -d /etc/gtk-3.0/i?86*); do
+ host=$(basename $d)
+ break
+ done
+ ;;
+ esac
+fi
+
+FILE=/etc/gtk-3.0/$host/gdk-pixbuf.loaders
+
+case "$host" in
+ alpha*|ia64*|powerpc64*|s390x*|x86_64*)
+ /usr/bin/gdk-pixbuf-query-loaders-3.0-64 > $FILE
+ ;;
+ *)
+ /usr/bin/gdk-pixbuf-query-loaders-3.0-32 > $FILE
+ ;;
+esac
bgstack15